package com.frogobox.coreapi.movie

/**
 * Created by Faisal Amir
 * FrogoBox Inc License
 * =========================================
 * TMDBAPI
 * Copyright (C) 10/03/2020.
 * All rights reserved
 * -----------------------------------------
 * Name     : Muhammad Faisal Amir
 * E-mail   : faisalamircs@gmail.com
 * Github   : github.com/amirisback
 * LinkedIn : linkedin.com/in/faisalamircs
 * -----------------------------------------
 * FrogoBox Software Industries
 * com.frogobox.frogoconsumeapi.movie.util
 *
 */
object MovieConstant {

    const val QUERY_API_KEY = "api_key"
    const val QUERY_START_DATE = "end_date"
    const val QUERY_END_DATE = "start_date"
    const val QUERY_PAGE = "page"
    const val QUERY_COUNTRY = "country"
    const val QUERY_LANGUAGE = "language"
    const val QUERY_REGION = "region"
    const val QUERY_SORT_BY = "sort_by"
    const val QUERY_AIR_DATE_GTE = "air_date.gte"
    const val QUERY_AIR_DATE_LTE = "air_date.lte"
    const val QUERY_FIRST_AIR_DATE_GTE = "first_air_date.gte"
    const val QUERY_FIRST_AIR_DATE_LTE = "first_air_date.lte"
    const val QUERY_FIRST_AIR_DATE_YEAR = "first_air_date_year"
    const val QUERY_CERTIFICATION_COUNTRY = "certification_country"
    const val QUERY_CERTIFICATION = "certification"
    const val QUERY_CERTIFICATION_LTE = "certification.lte"
    const val QUERY_CERTIFICATION_GTE = "certification.gte"
    const val QUERY_INCLUDE_ADULT = "include_adult"
    const val QUERY_INCLUDE_VIDEO = "include_video"
    const val QUERY_TIMEZONE = "timezone"
    const val QUERY_PRIMARY_RELEASE_YEAR = "primary_release_year"
    const val QUERY_PRIMARY_RELEASE_GTE = "primary_release_date.gte"
    const val QUERY_PRIMARY_RELEASE_LTE = "primary_release_date.lte"
    const val QUERY_RELEASE_DATE_GTE = "release_date.gte"
    const val QUERY_RELEASE_DATE_LTE = "release_date.lte"
    const val QUERY_RELEASE_DATE_TYPE = "with_release_type"
    const val QUERY_YEAR = "year"
    const val QUERY_VOTE_COUNT_GTE = "vote_count.gte"
    const val QUERY_VOTE_COUNT_LTE = "vote_count.lte"
    const val QUERY_VOTE_AVERAGE_GTE = "vote_average.gte"
    const val QUERY_VOTE_AVERAGE_LTE = "vote_average.lte"
    const val QUERY_WITH_CAST = "with_cast"
    const val QUERY_WITH_NETWORKS = "with_networks"
    const val QUERY_WITH_CREW = "with_crew"
    const val QUERY_WITH_PEOPLE = "with_people"
    const val QUERY_WITH_COMPANIES = "with_companies"
    const val QUERY_WITH_GENRES = "with_genres"
    const val QUERY_WITHOUT_GENRES = "without_genres"
    const val QUERY_WITH_KEYWORDS = "with_keywords"
    const val QUERY_WITHOUT_KEYWORDS = "without_keywords"
    const val QUERY_SCREENED_THEATRICALLY = "screened_theatrically"
    const val QUERY_WITH_RUNTIME_GTE = "with_runtime.gte"
    const val QUERY_WITH_RUNTIME_LTE = "with_runtime.lte"
    const val QUERY_WITH_ORIGINAL_LANGUAGE = "with_original_language"
    const val QUERY_INCLUDE_NULL_FIRST_AIR_DATES = "include_null_first_air_dates"
    const val QUERY_EXTERNAL_SOURCE = "external_source"
    const val QUERY_APPEND_TO_RESPONSE = "append_to_response"
    const val QUERY_SESSION_ID = "session_id"
    const val QUERY_GUEST_SESSION_ID = "guest_session_id"
    const val QUERY_INCLUDE_IMAGE_LANGUAGE = "include_image_language"
    const val QUERY_QUERY = "query"

    const val PATH_ID = "id"
    const val PATH_COLLECTION_ID = "collection_id"
    const val PATH_COMPANY_ID = "company_id"
    const val PATH_CREDIT_ID = "credit_id"
    const val PATH_EXTERNAL_ID = "external_id"
    const val PATH_GUEST_SESSION_ID = "guest_session_id"
    const val PATH_KEYWORD_ID = "keyword_id"
    const val PATH_LIST_ID = "list_id"
    const val PATH_MOVIE_ID = "movie_id"
    const val PATH_TV_ID = "tv_id"
    const val PATH_NETWORK_ID = "network_id"
    const val PATH_REVIEW_ID = "review_id"
    const val PATH_PERSON_ID = "person_id"
    const val PATH_SEASON_ID = "season_id"
    const val PATH_EPISODE_ID = "episode_id"

    const val PATH_MEDIA_TYPE = "media_type"
    const val PATH_TIME_WINDOW = "time_window"
    const val PATH_SEASON_NUMBER = "season_number"
    const val PATH_EPISODE_NUMBER = "episode_number"

    const val VALUE_LANG_EN_US = "en-US"
    const val VALUE_MEDIA_TYPE_ALL = "all"
    const val VALUE_MEDIA_TYPE_MOVIE = "movie"
    const val VALUE_MEDIA_TYPE_TV = "tv"
    const val VALUE_MEDIA_TYPE_PERSON = "person"
    const val VALUE_TIME_WINDOW_DAY = "day"
    const val VALUE_TIME_WINDOW_WEEK = "week"

}